---
title: CSSVariableReferenceValue
slug: Web/API/CSSVariableReferenceValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSVariableReferenceValue
  - Experimental
  - Houdini
  - Interface
  - Reference
---
<div>{{draft}}{{APIRef("CSSOM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSVariableReferenceValue</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} allows you to create a custom name for a built-in CSS value. This object functionality is sometimes called a "CSS variable" and serves the same purpose as the {{cssxref('var()')}} function. The custom name must begin with two dashes.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSVariableReferenceValue.CSSVariableReferenceValue()")}}</dt>
 <dd>Creates a new <code>CSSVariableReferenceValue</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('CSSVariableReferenceValue.variable')}}</dt>
 <dd>Returns the custom name passed to the constructor.</dd>
 <dt>{{domxref('CSSVariableReferenceValue.fallback')}} {{readonlyinline}}</dt>
 <dd>Returns the built-in CSS value for the custom name.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssvariablereferencevalue','CSSVariableReferenceValue')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSVariableReferenceValue")}}</p>
